from rest_framework import viewsets, permissions

from dbsynce.models import Documents
from dbsynce.serializer import DocumentsSerializer
from rest_framework_api_key.permissions import HasAPIKey

class DocumentsMVS(viewsets.ModelViewSet):
    queryset = Documents.objects.all()
    serializer_class = DocumentsSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated | HasAPIKey]
