from rest_framework import viewsets, permissions

from dbsynce.models import Orders
from dbsynce.serializer import OrdersSerializer
from rest_framework_api_key.permissions import HasAPIKey

class OrdersMVS(viewsets.ModelViewSet):
    queryset = Orders.objects.all()
    serializer_class = OrdersSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated | HasAPIKey]
