from rest_framework import viewsets, permissions

from dbsynce.models import Service
from dbsynce.serializer import ServiceSerializer
from rest_framework_api_key.permissions import HasAPIKey

class ServiceMVS(viewsets.ModelViewSet):
    queryset = Service.objects.all()
    serializer_class = ServiceSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated | HasAPIKey]
