from rest_framework import viewsets, permissions

from dbsynce.models import ServiceCategory
from dbsynce.serializer import ServiceCategorySerializer
from rest_framework_api_key.permissions import HasAPIKey

class ServiceCategoryMVS(viewsets.ModelViewSet):
    queryset = ServiceCategory.objects.all()
    serializer_class = ServiceCategorySerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated | HasAPIKey]
