from rest_framework import viewsets, permissions

from dbsynce.models import Provider
from dbsynce.serializer import ProviderSerializer
from rest_framework_api_key.permissions import HasAPIKey

class ProviderMVS(viewsets.ModelViewSet):
    queryset = Provider.objects.all()
    serializer_class = ProviderSerializer
    # permission_classes = [IsOwnerOrReadOnly]
    permission_classes = [permissions.IsAuthenticated | HasAPIKey]
