'''
Dicts from:

https://wiki.sharix.org/doku.php/open/tech/dev/db/slovari_bd#resource_type
'''

neg_type = {
    "disfollow": 0,
    "prefer": 1,
    "employee": 2,
    "contract": 3,
    "client": 4
}

type_legal_form = {
    "self-employed": 0,
    "ip": 1,
    "company": 2
}

# FIXME: resource_type ??

# FIXME: permission_type ??
permissions_type = {
"platform_admin": "01",
"platform_supervisor": "02",
"platform_support": "03",
"platform_techsupport": "04",
"metaservice_admin": "11",
"metaservice_supervisor": "12",
"metaservice_support": "13",
"metaservice_techsupport": "14",
"partner_admin": "21",
"partner_supervisor": "22",
"partner_support": "23",
"partner_techsupport": "24",
"provider": "15",
"platform_user": "06",
"metaservice_user": "16",
}

initiator_type = {
    "manual": 0,
    "self": 1,
    "another_user": 2,
    "metaservice_event": 3,
    "platform_event": 4
}

event_type = {
    "add": 1,
    "del": 2,
    "change": 3
}

status = {
    "false": "f",
    "true": "t",
    "disabled": "d",
    "switch": "s",
    "error": "e"
}

# FIXME: Requirements ???

# FIXME: Коды степени проверки загружаемых документов

# FIXME: коды документов (doctype)

# FIXME: Коды степени проверки дополнительных допусков/экзаменов

# FIXME: коды проверок

# FIXME: Раздел про проверку наличия связей

# FIXME: Примеры

price_type = {
    "time": 1,
    "distance": 2,
    "instance": 3,
    "tpd": 4,
    "ipd": 5,
    "ipt": 6
}

location_type = {
    "static": 0,
    "dynamic": 1
}

provider_type = {
    "partner": 1,
    "responsible_person": 2,
    "service_provider": 3
}

service_status = {
    "online": 1,
    "offline": 2,
    "gap": 3
}

activity_status = {
    "active": 0,
    "deactivated": 1,
    "deleted": 2
}

transaction_type = {
    "active": 0,
    "deactivated": 1
}

tax_method = {
    "Main": 0,
    "Simple1": 1,
    "Simple2": 2
}

# FIXME: STATE (статусы заказов/заявок с кодами)


# FIXME: ticket_type
